View Issue Details

IDProjectCategoryView StatusLast Update
0004422SymmetricDS ProBugpublic2020-07-08 08:22
Reporterelong Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.1Fixed in Version3.12.1 
Summary0004422: Node registration gets javax.crypto.BadPaddingException
DescriptionWhen a remote node tries to register, it can receive an error:

javax.crypto.BadPaddingException. Given final block not properly padded.

This was introduced in 3.12 with the node password encryption. The node password should be sent in the registration batch and then encrypted before storing in the database.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 9b6bd399

2020-06-10 11:10:39

admin

Details Diff
0004422: call node password filter when re-opening Affected Issues
0004422
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationService.java Diff File

SymmetricDS: 3.12 6efd03cc

2020-06-10 11:11:51

admin

Details Diff
0004422: use built-in transforms to call node password filter Affected Issues
0004422
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformService.java Diff File

Issue History

Date Modified Username Field Change
2020-06-10 11:09 elong New Issue
2020-06-10 11:09 elong Status new => assigned
2020-06-10 11:09 elong Assigned To => elong
2020-06-10 11:09 elong Tag Attached: security
2020-06-10 11:12 elong Status assigned => resolved
2020-06-10 11:12 elong Resolution open => fixed
2020-06-10 11:12 elong Fixed in Version => 3.12.1
2020-06-10 12:00 admin Changeset attached => SymmetricDS 3.12 6efd03cc
2020-06-10 12:00 admin Changeset attached => SymmetricDS 3.12 9b6bd399
2020-06-24 16:46 admin Status resolved => closed
2020-07-08 08:22 elong Tag Detached: security